Daemon Power

The NetBSD Packages Collection: graphics/py-gdmodule

Brief description of the package:
Python interface to gd graphics library

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/Solomoriah/gdmodule.

Please note that this package has a original-bsd license.

The package is located in the "graphics/py-gdmodule" directory. The current source version of the package is "py27-gdmodule-0.59nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for graphics/py-gdmodule :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: gd>=2.0.23 perl>=5.0 cwrappers>=20150314 fontconfig>=2.10.93 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 gperf-[0-9]* fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.10.93nb2 libwebp>=0.6.0 gd>=2.0.15nb1 Xaw-Xpm>=1.1 libXpm>=3.5.4.2 x11-links>=1.06 osabi-NetBSD-7.0.1 xproto>=7.0.9 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 gd>=2.2.4nb1 Xaw-Xpm>=1.1nb2 python27>=2.7.1nb2 .

This package requires the following package(s) to run: gd>=2.0.23 perl>=5.0 fontconfig>=2.10.93 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.10.93nb2 libwebp>=0.6.0 gd>=2.0.15nb1 Xaw-Xpm>=1.1 libXpm>=3.5.4.2 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 gd>=2.2.4nb1 Xaw-Xpm>=1.1nb2 python27>=2.7.1nb2 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
arm:py27-gdmodule-0.58.tgz(NetBSD 6.1_STABLE)
earm:py27-gdmodule-0.58nb2.tgz(NetBSD 7.0)
earmv6hf:py26-gdmodule-0.58.tgz(NetBSD 7.0)
earmv6hf:py27-gdmodule-0.58.tgz(NetBSD 7.0)
earmv6hf:py27-gdmodule-0.58nb2.tgz(NetBSD 7.0)
earmv7hf:py27-gdmodule-0.58nb2.tgz(NetBSD 7.0)
earmv7hf:py27-gdmodule-0.59nb1.tgz(NetBSD 8.0_BETA)
i386:py27-gdmodule-0.59nb1.tgz(NetBSD 6.0)
i386:py27-gdmodule-0.59.tgz(NetBSD 6.0)
i386:py27-gdmodule-0.59nb1.tgz(NetBSD 6.0)
i386:py27-gdmodule-0.59nb1.tgz(NetBSD 6.1)
i386:py27-gdmodule-0.59.tgz(NetBSD 6.1)
i386:py27-gdmodule-0.59nb1.tgz(NetBSD 6.1)
i386:py27-gdmodule-0.59nb1.tgz(NetBSD 7.0)
i386:py27-gdmodule-0.59.tgz(NetBSD 7.0)
i386:py27-gdmodule-0.59.tgz(NetBSD 7.0)
i386:py27-gdmodule-0.59nb1.tgz(NetBSD 7.0)
powerpc:py27-gdmodule-0.59.tgz(NetBSD 6.0)
powerpc:py27-gdmodule-0.59nb1.tgz(NetBSD 6.1)
powerpc:py27-gdmodule-0.58nb2.tgz(NetBSD 7.0)
powerpc:py27-gdmodule-0.59nb1.tgz(NetBSD 7.1)
powerpc:py27-gdmodule-0.59nb1.tgz(NetBSD 7.1)
powerpc:py27-gdmodule-0.59nb1.tgz(NetBSD 8.0)
sparc64:py27-gdmodule-0.58.tgz(NetBSD 7.0)
x86_64:py27-gdmodule-0.59.tgz(NetBSD 6.0)
x86_64:py27-gdmodule-0.59nb1.tgz(NetBSD 6.0)
x86_64:py27-gdmodule-0.59nb1.tgz(NetBSD 6.0)
x86_64:py27-gdmodule-0.59.tgz(NetBSD 6.1)
x86_64:py27-gdmodule-0.59nb1.tgz(NetBSD 6.1)
x86_64:py27-gdmodule-0.59nb1.tgz(NetBSD 6.1)
x86_64:py27-gdmodule-0.59nb1.tgz(NetBSD 7.0)
x86_64:py27-gdmodule-0.59.tgz(NetBSD 7.0)
x86_64:py27-gdmodule-0.59.tgz(NetBSD 7.0)
x86_64:py27-gdmodule-0.59nb1.tgz(NetBSD 7.0)
x86_64:py27-gdmodule-0.59nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:py27-gdmodule-0.59nb1.tgz(NetBSD 8.99.1)
x86_64:py27-gdmodule-0.59nb1.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]